apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

configMapGenerator:
  - name: mysql-config
    env: mysql-config.properties

secretGenerator:
  - name: mysql-password
    env: mysql-password.properties
    type: Opaque

resources:
  - deployment.yaml
  - pvc.yaml
  - service.yaml

patchesStrategicMerge:
  - deployment.yaml

generatorOptions:
  disableNameSuffixHash: true
